# Class ZooKeeperSaslServer

java.lang.Object
org.apache.zookeeper.server.ZooKeeperSaslServer

public class ZooKeeperSaslServer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_LOGIN_CONTEXT_NAME`
`static final String`
`LOGIN_CONTEXT_NAME_KEY`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`evaluateResponse(byte[] response)`
`String`
`getAuthorizationID()`
`boolean`
`isComplete()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LOGIN_CONTEXT_NAME_KEY

public static final String LOGIN_CONTEXT_NAME_KEY

See Also:
  - Constant Field Values

### DEFAULT_LOGIN_CONTEXT_NAME

public static final String DEFAULT_LOGIN_CONTEXT_NAME

See Also:
  - Constant Field Values

## Method Details

### evaluateResponse

public byte[] evaluateResponse(byte[] response) throws SaslException

Throws:
  `SaslException`

### isComplete

public boolean isComplete()

### getAuthorizationID

public String getAuthorizationID()